### Method

# FwupdPlugin Context get_smbios_string

#### Declaration [src]

    const gchar*
    fu_context_get_smbios_string (
      FuContext* self,
      guint8 type,
      guint8 length,
      guint8 offset,
      GError** error
    )

#### Description [src]

Gets a hardware SMBIOS string.

The `type` and `offset` can be referenced from the DMTF SMBIOS specification: https://www.dmtf.org/sites/default/files/standards/documents/DSP0134_3.1.1.pdf.

Available since: | 2.0.7

#### Parameters

`type` | `guint8`
| A SMBIOS structure type, e.g. `FU_SMBIOS_STRUCTURE_TYPE_BIOS`.
`length` | `guint8`
| Expected length of the structure, or `FU_SMBIOS_STRUCTURE_LENGTH_ANY`.
`offset` | `guint8`
| A SMBIOS offset.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `const gchar*`
| A string, or `NULL`.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.